## Exp
Return the natural exponentiation of the parameter

### Declaration
```glsl
float exp(float x)  
vec2 exp(vec2 x)  
vec3 exp(vec3 x)  
vec4 exp(vec4 x)
```

### Parameters
```x``` specify the value to exponentiate.

### Description
```exp()``` returns the natural exponentiation of ```x```.

<div class="simpleFunction" data="y = exp(x); "></div>

### See Also

[log](index.html#log.md), [log2](index.html#log2.md), [exp2](index.html#exp2.md), [Chapter 05: Shaping Functions](../05/)